# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dancer2.pm) perl(Dancer2/Plugin.pm) perl(Dancer2/Plugin/Cache/CHI.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Font/TTF/Font.pm) perl(Font/TTF/Scripts/Name.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/AllUtils.pm) perl(Test/More.pm) perl(Test/Requires.pm) perl(Test/WWW/Mechanize/PSGI.pm) perl(lib.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Dancer2-Plugin-FontSubset
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.1
Release: alt1
Summary: Generate font subsets on-the-fly
Group: Development/Perl
License: perl
URL: https://github.com/yanick/Dancer2-Plugin-FontSubset

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Y/YA/YANICK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
*Dancer2::Plugin::FontSubset* generate subsets of the glyphs of given fonts,
a little like what Google Font provides.
Currently, *Dancer2::Plugin::FontSubset* only works for a subset TTF fonts. Always test that any
given font will work well with the plugin before throwing it in a production
system.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CODE_OF_CONDUCT.md CONTRIBUTORS AUTHOR_PLEDGE Changes LICENSE README.mkdn
%perl_vendor_privlib/D*

%changelog
* Thu Jun 21 2018 Igor Vlasenko <viy@altlinux.ru> 0.0.1-alt1
- initial import by package builder

